### Method

# Gdk.Clipboard.read_value_async

#### Declaration [src]

    void
    gdk_clipboard_read_value_async (
      GdkClipboard* clipboard,
      GType type,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the `clipboard` contents converted to the given `type`.

When the operation is finished `callback` will be called. You must then call `gdk_clipboard_read_value_finish()` to get the resulting `GValue`.

For local clipboard contents that are available in the given `GType`, the value will be copied directly. Otherwise, GDK will try to use `gdk_content_deserialize_async()` to convert the clipboard’s data.

#### Parameters

`type` | `GType`
| a `GType` to read
`io_priority` | `int`
| the I/O priority of the request
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore.
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| callback to call when the request is satisfied
`user_data` | `gpointer`
| the data to pass to callback function